commit:     02bf33462c1688491fea99f86a62094b326a5906
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 26 17:36:55 2016 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Sat Mar 26 17:40:26 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02bf3346

app-vim/gundo: version bump to 2.6.1

 app-vim/gundo/Manifest           |  1 +
 app-vim/gundo/gundo-2.6.1.ebuild | 25 +++++++++++++++++++++++++
 2 files changed, 26 insertions(+)

diff --git a/app-vim/gundo/Manifest b/app-vim/gundo/Manifest
index 16fee32..13f328c 100644
--- a/app-vim/gundo/Manifest
+++ b/app-vim/gundo/Manifest
@@ -1 +1,2 @@
 DIST gundo-2.5.0.tar.gz 152724 SHA256 
d7d0c0633937d8cde5d42b6c9634f3ee9b879252b9615f45b49d002320c3b24a SHA512 
85687e0baa00d6c603dcabc9ffa5fef3c49437d816a7e637fa9f48719726bc4d4f45417998d9a080d2796c1e3b1bf76318628f7733a9985fd8f46e053aec42db
 WHIRLPOOL 
c1086ec377fe8fc204ee1c66feeb6a45063f51094715f4e0e1c9c0fbf8882721e6a0ccfa759f27256602fe2f3d8ef26b505aed19c431cb98e4be82c35d1bc60f
+DIST gundo-2.6.1.tar.gz 153125 SHA256 
6cacba104238169af6e9e2863cf500922a59cb6cb49885b36381a7f5d108be77 SHA512 
c8b9b20ff8ef24bd94b0adc18b2cf912cbd0a07c5a70df11be39fbe69d81306027b73d9a60c9127c658c913602a819774c7b1202a8db704677da59cb9916532b
 WHIRLPOOL 
a29477209922ec6e0602f26cab96dac4c76d4f0fa4cd86df3f8f01af8d3022a57eced609423dbda73f82e01718cdd6e7bf8b2bc8c5ef2cbe465edf5401ed2152

diff --git a/app-vim/gundo/gundo-2.6.1.ebuild b/app-vim/gundo/gundo-2.6.1.ebuild
new file mode 100644
index 0000000..f645812
--- /dev/null
+++ b/app-vim/gundo/gundo-2.6.1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit vim-plugin python-single-r1
+
+DESCRIPTION="vim plugin: visualize your vim undo tree"
+HOMEPAGE="https://sjl.bitbucket.org/gundo.vim/";
+SRC_URI="https://github.com/sjl/gundo.vim/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~x86 ~x64-macos"
+
+RDEPEND="|| ( app-editors/vim[${PYTHON_USEDEP}] 
app-editors/gvim[${PYTHON_USEDEP}] )
+       ${PYTHON_DEPS}"
+
+S=${WORKDIR}/${PN}.vim-${PV}
+
+VIM_PLUGIN_HELPFILES="${PN}.txt"
+
+src_prepare() {
+       rm -r .gitignore .hg* package.sh README* site tests || die
+}

Reply via email to